forrest-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Ross Gardler <rgard...@apache.org>
Subject Re: How can I start using Forrest?
Date Wed, 11 Apr 2007 09:33:52 GMT
schumarer schumarer wrote:
> 
> Hi,
> 
> Can anyone tell me what do I need to get forrest running? Yesterday I 
> downloaded forrest 0.7 and I couldn't render a site. The forrest seed 
> command works but when I want to see the (default) result using forrest 
> or forrest run commands I receive a lot of error messages.
> 
> I tried with different version of Java (1.4.2, 1.5 & 1.6) but nothing 
> changed.
> 
> So I checked out the 0.8 version from Subversion. I compiled it and 
> tried to render a default site and... errors too.
> This time it's this one:
> 
>     Exception in thread "main" java.lang.UnsupportedClassVersionError:
>     Bad version number in .class file
>             at java.lang.ClassLoader.defineClass1(Native Method)
>             at java.lang.ClassLoader.defineClass(ClassLoader.java:620)
>             at
>     java.security.SecureClassLoader.defineClass(SecureClassLoader.java:14)
>             at java.net.URLClassLoader.defineClass(URLClassLoader.java:260)
>             at java.net.URLClassLoader.access$100(URLClassLoader.java:56)
>             at java.net.URLClassLoader$1.run(URLClassLoader.java:195)
>             at java.security.AccessController.doPrivileged(Native Method)
>             at java.net.URLClassLoader.findClass(URLClassLoader.java:188)
>             at java.lang.ClassLoader.loadClass(ClassLoader.java:306)
>             at sun.misc.Launcher$AppClassLoader.loadClass
>     (Launcher.java:268)
>             at java.lang.ClassLoader.loadClass(ClassLoader.java:251)
>             at
>     org.apache.avalon.excalibur.logger.DefaultLogTargetFactoryManager.configure(DefaultLogTargetFactoryManager.java:113)
>             at
>     org.apache.avalon.framework.container.ContainerUtil.configure(ContainerUtil.java:201)
>             at
>     org.apache.avalon.excalibur.logger.LogKitLoggerManager.setupTargetFactoryManager(LogKitLoggerManager.java:436)
> 
>             at
>     org.apache.avalon.excalibur.logger.LogKitLoggerManager.configure(LogKitLoggerManager.java:400)
>             at
>     org.apache.avalon.framework.container.ContainerUtil.configure(ContainerUtil.java:201)
>             at org.apache.cocoon.core.CoreUtil.initLogger(CoreUtil.java:607)
>             at org.apache.cocoon.core.CoreUtil.init(CoreUtil.java:169)
>             at org.apache.cocoon.core.CoreUtil.<init>(CoreUtil.java:115)
>             at
>     org.apache.cocoon.bean.CocoonWrapper.initialize(CocoonWrapper.java:128)
>             at
>     org.apache.cocoon.bean.CocoonBean.initialize(CocoonBean.java:97)
>             at org.apache.cocoon.Main.main(Main.java:310)
>     Java Result: 1
> 
>       Copying broken links file to site root.
> 
> 
>     BUILD FAILED
>     D:\forrest0.8\main\targets\site.xml:175: Warning: Could not find
>     file D:\siteroot\build\tmp\brokenlinks.xml to copy.
> 
>     Total time: 11 seconds 
> 
> 
> 
> Isn't that error related to something with java's version or jdk's version?

Yes

> So I was wondering, what is the correct number of jdk we need? Or how 
> can I have forrest working?

We test against 1.4, but I use it against 1.5

I have no idea if it works against 1.6, but it should.

You say you tried all of these and got the same results.

What platform are you one?
What JDK are you using?

Ross

Mime
View raw message